#!/usr/local/bin/perl

use strict;

use vars qw ($asDataFile $netgeo $asFinder);
use Socket;
use CAIDA::NetGeo;
$netgeo = new CAIDA::NetGeo;

if($#ARGV != 1)
{
    print "Usage: buildDataFile_part2.pl <inputFile> <outputFile>\n";
    die("Invalid argument count");
}

my $inputFile = $ARGV[0];
my $outputFile = $ARGV[1];

print "Using input file \"$inputFile\"\n";
open(INPUT_F, "<$inputFile");
print "Using output file \"$outputFile\"\n";
open(OUTPUT_F, ">$outputFile");

my $hostname;
my $AS_Num;
my $AS_Name;

while(<INPUT_F>)
{
    if(/^(\S+)\t(\d+)$/)
    {
	$hostname = $1;
	$AS_Num = $2;
	$AS_Name = getRecord($AS_Num);
	print OUTPUT_F "$hostname\t$AS_Num\t$AS_Name\n";
    }
    else
    {
	#print "[parsing error] : " . $_;
	print OUTPUT_F;
    }
}

close(OUTPUT_F);
close(INPUT_F);

sub getRecord 
{
    my $host = shift(@_);

    my $rec = $netgeo->getRecord($host);

    #my ($key, $value);
    #while (($key, $value) = each (%$rec))
    #{
	#print "$key ::== $value\n";
    #}
    return $$rec{NAME};
}
